Bug 767744 - [RFE] In provisioning, show ant task executed in destination deployment details
[RFE] In provisioning, show ant task executed in destination deployment details
Status: NEW
Product: RHQ Project
Classification: Other
Component: Provisioning (Show other bugs)
3.0.0
Unspecified Unspecified
medium Severity urgent (vote)
: ---
: ---
Assigned To: Simeon Pinder
Mike Foley
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-14 14:26 EST by Nabeel Saad
Modified: 2015-11-01 19:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nabeel Saad 2011-12-14 14:26:47 EST
Description of problem:
When you deploy a bundle, and click through the destination into the actual deployment.  Then you can see the different steps that took place, such as deployment started, file downloaded, build event, build event, build event, etc... It would be nice to be able to differentiate between the build events.  Can we not display at least the name of the task that is called in that build event?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Heiko W. Rupp 2013-12-09 05:09:39 EST
Nabeel,

can you explain this a little more please? Especially as you say "at least" -- what else would you want to see?
What is helpful in the field to see bundle deployment issues?
Comment 2 Nabeel Saad 2013-12-10 07:48:52 EST
Hello Heiko,

I believe that each "build event" that I listed above is actually related to some ant task taking place in the bundle.

It would be nice to see more detail in the sense that it could show:
pre-install
post-install

or if it's even possible to show more detail such as listing the actual ant tasks taking place: exec, move, etc...

Does that make more sense? If not, I can try to get a screenshot to clarify what I'm talking about.

Note You need to log in before you can comment on or make changes to this bug.